body {
    font-family: 'Roboto Slab', Georgia, Times, 'Times New Roman', serif;
    display: flex;
    flex-direction: column;
}

.flex-center {
    display: flex;
    justify-content: center;
    align-items: flex-start;
    flex-grow: 1;
    height: 100%;
}

.main-content {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    margin-bottom: 50px;
    margin-left: auto;
    margin-right: auto;
}

html, body {
    height: 100%;
}

html {
    background: -webkit-linear-gradient( 
        to right,
        #161b21 0%,
        #273242 50%,
        #3e4d5f 100%
    );
    background: linear-gradient(
        to right,
        #161b21 0%,
        #273242 50%,
        #3e4d5f 100%
    );
}

.main-content img {
    width: 230px;
    display: block;
    margin-top: 20px;
    margin-bottom: 0;
}
 
.text-content h1 {
    font-family: 'Roboto Slab', Georgia, Times, 'Times New Roman', serif;
    font-weight: 400;
    font-size: 48px;
    line-height: 51px;
    color: #fff;
    text-align: center;
    max-width: 300px;
    margin-top: 20px;
    margin-bottom: 10px;
    letter-spacing: 0.5px;
}

.text-content p {
    font-family: 'Roboto Slab', Georgia, Times, 'Times New Roman', serif;
    font-weight: 300;
    font-size: 18px;
    color: #fff;
    text-align: center;
    max-width: 280px;
    margin-left: auto;
    margin-right: auto;
    letter-spacing: 0.3px;
}


.text-content a {
    color: #03fff6;
    text-decoration: underline;
}

.cta-button {
    display: inline-block; 
    margin-top: 20px;
    padding: 15px 25px;
    border-radius: 10px;
    border: 2px solid #01F4D4;
    text-decoration: none;
    cursor: pointer;
    background-color: transparent; /* Changed to transparent */
    color: #01F4D4;
    font-family: 'Roboto', sans-serif;
    font-weight: 400; 
    font-size: 17px;
    line-height: 1.2;
    transition: background-color 0.2s ease, transform 0.1s ease;
    letter-spacing: 0.5px;
}

.cta-button:active {
    background-color: transparent; 
    color: #01F4D4;
    box-shadow: 0 0 5px rgba(34, 202, 180, 0.6);
}

.site-footer {
    width: 100%;
    text-align: center;
    padding-top: 10px;
    padding-bottom: 15px;
    border-top: 1px solid #6C7B8D;
}

.footer-social {
    display: block;
    margin-bottom: 0;
}

.footer-social img {
    width: 80px; 
    height: auto;
    display: inline-block; 
    filter: saturate(20%) brightness(145%);
}

.site-footer p {
    font-size: 12px;
    font-weight: 400;
    font-family: 'Roboto', sans-serif;
    color: #8D9CAE;
    margin: 0;
    letter-spacing: 0.2px;
}

@media (min-width: 768px) {
    
    .flex-center {
        align-items: center;
    }
    
    .main-content img {
        width: 280px; 
        margin-top: 0;
    }

    .text-content h1 {
        font-size: 65px; 
        line-height: 68px;
        max-width: 568px; 
        margin-top: 40px;
        margin-bottom: 30px;
    }

    .text-content p {
        font-size: 22px; 
        max-width: 500px; 
    }

    .cta-button {
        margin-top: 40px;
        padding: 20px 35px;
        font-size: 20px; 
    }
    
    .cta-button:hover {
    background-color: transparent; 
    color: #01F4D4;
    box-shadow: 0 0 10px rgba(34, 202, 180, 0.6);
}

    .cta-button:active {
    border-radius: 10px;
    border: 2px solid #22CAB4;
    color: #22CAB4;
}

}